local AddonName, a = ...
if a.BuildFail(50000) then return end
local L = a.Localize
local s = SpellFlashAddon
local x = s.UpdatedVariables
local _

-- Implement a dummy TTD function if we do not get one from another module
if type(s.TimeToDie) ~= 'function'  then
	a.print(L["No TimeToDie function found, using a dummy function. Consider installing Pusikas' Spellflash: TTD."])
	s.TimeToDie = function(unit)
		return 10
	end
end

a.getHastedTickTime = function(UnhastedTickTime)
	return (UnhastedTickTime / (1 + (UnitSpellHaste("player") / 100)))
end

a.getTotalTicks = function(UnhastedTicks)
	return math.floor(UnhastedTicks * (1 + (UnitSpellHaste("player") / 100)) + 0.5)
end

local name, active, exists
local index
a.PetAssistActive = function()
    index = 10
    repeat
        name,_,_,_,active,_,_,exists = GetPetActionInfo(index)
        index = index - 1
        if name == "PET_MODE_ASSIST" then
			return active
        end
    until not exists
    return false
end